image: "mirror.jd.com/mysql/mysql"
imageTag: "5.7.14"

mysqlRootPassword: MjI1ZGM0MjdlZjkxMzMyMDVjMWQ5NjNmYjcxYWM5

mysqlUser: jiushu-plat
mysqlPassword: Njc0NjkwOWU4ZDk4ZjVmMjgyNWFhMTY4ZTZjNDY2

mysqlAllowEmptyPassword: false

mysqlDatabase: jiushu-plat

nodeSelector:
  mysql: 9n-plat-prod

persistence:
  enabled: true
  storageClass: "gluster-sata-replica-3"
  accessMode: ReadWriteOnce
  size: 200Gi

resources:
  requests:
    memory: 64Gi
    cpu: 8
  limits:
    memory: 128Gi
    cpu: 16

initializationFiles:
  init-privileges.sql: |-
    GRANT ALL PRIVILEGES ON jiushu-plat.* TO 'jiushu-plat'@'%';

metrics:
  enabled: true
  image: mirror.jd.com/prom/mysqld-exporter
  imageTag: v0.10.0
  imagePullPolicy: IfNotPresent
  resources:
    requests:
      memory: 4Gi
      cpu: 1
    limits:
      memory: 8Gi
      cpu: 2

service:
  type: ClusterIP
  port: 3306

hostPort: 3306

timezone: 'Asia/Shanghai'
